
CREATE TABLE COMPONENT_MAPPING ( 
	MAP_ID bigint identity(1,1)  NOT NULL,
	MAP_SET_ID bigint NOT NULL,
	TYPE varchar(10) NOT NULL,
	CONSTANT nvarchar(255),
	DEFAULT_VALUE nvarchar(255),
	IS_METADATA bit not null
)
;

ALTER TABLE COMPONENT_MAPPING ADD CONSTRAINT PK_MAPPING 
	PRIMARY KEY CLUSTERED (MAP_ID)
;
